## seafile-client 9.0.3+ds1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)

PROJECT(seafile-client)
SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
SET(SEAFILE_CLIENT_VERSION_MINOR 0)
SET(SEAFILE_CLIENT_VERSION_PATCH 3)
SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
INCLUDE(FindPkgConfig)

## Build crash repoter on release build as default
IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  SET(CMAKE_BUILD_TYPE Debug)
ENDIF()

# CMake's builtin UNIX variable is true on Mac/Linux/BSD, but sometimes we want
# to detect for LINUX.
IF (UNIX AND NOT APPLE)
  SET(LINUX TRUE)
ENDIF()

IF (APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
  SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.14")
ENDIF()

FIND_PROGRAM(git_executable NAMES git git.exe git.cmd)
IF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git AND NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  EXECUTE_PROCESS(COMMAND
    ${git_executable} rev-list HEAD --count
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_VARIABLE SEAFILE_CLIENT_REVISION
    OUTPUT_STRIP_TRAILING_WHITESPACE )
  ADD_DEFINITIONS(-DSEAFILE_CLIENT_REVISION=${SEAFILE_CLIENT_REVISION})
ENDIF()

SET(PATH_TO_BREAKPAD_ROOT CACHE "Path to breakpad's root" "")

OPTION(BUILD_TESTING "Build Test" OFF)

OPTION(BUILD_DOCS "Build Documents" OFF)

OPTION(BUILD_SHIBBOLETH_SUPPORT "Build Shibboleth support" OFF)

option(BUILD_ENABLE_WARNINGS "Enable compiler warnings." ON)

option(USE_QT_WEBKIT "Build use QT webkit" OFF)

option(BUILD_SPARKLE_SUPPORT "Build Sparkle support" OFF)
IF (BUILD_SPARKLE_SUPPORT)
    ADD_DEFINITIONS(-DHAVE_SPARKLE_SUPPORT)
    IF (LINUX)
      message(FATAL_ERROR "Sparkle Support is not available for linux." )
    ENDIF()
    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/auto-update-service.h)
    SET(platform_specific_sources ${platform_specific_sources} src/auto-update-service.cpp)
    IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
        ADD_DEFINITIONS(-DSEAFILE_SPARKLE_DEBUG)
    ENDIF()
ENDIF()

MESSAGE("Build type: ${CMAKE_BUILD_TYPE}")

## build in PIC mode
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")

## Setup warnings ouput if enabled
## but don't warning on unsupported warnings
if(BUILD_ENABLE_WARNINGS)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter -Woverloaded-virtual")
  if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unknown-warning-option")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unknown-warning-option -Wno-inconsistent-missing-override")
  endif()
endif()

## color diagnostics fix
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fcolor-diagnostics")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fcolor-diagnostics")
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  execute_process(COMMAND ${CMAKE_CXX_COMPILER}
    -dumpversion OUTPUT_VARIABLE GCC_VERSION)
  if(GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color=always")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=always")
  endif()
endif()

IF (LINUX)
    INCLUDE_DIRECTORIES(${QT_QTDBUS_INCLUDE_DIR})
    LINK_DIRECTORIES(${QT_QTDBUS_LIBRARIES})
    SET(EXTRA_LIBS ${EXTRA_LIBS} ${QT_QTDBUS_LIBRARIES})
ELSEIF (APPLE)
    IF (BUILD_SPARKLE_SUPPORT)
        SET(platform_specific_sources ${platform_specific_sources} src/mac-sparkle-support.mm)
        SET_SOURCE_FILES_PROPERTIES(src/mac-sparkle-support.mm
          PROPERTIES COMPILE_FLAGS -fobjc-arc)

        SET(SPARKLE_FRAMEWORK /usr/local/Sparkle.framework)
        IF(NOT EXISTS "${SPARKLE_FRAMEWORK}")
          message(FATAL_ERROR "File ${SPARKLE_FRAMEWORK} not found. Please setup it correctly.")
        ENDIF()
        INCLUDE_DIRECTORIES(${SPARKLE_FRAMEWORK}/Headers)
        SET(EXTRA_LIBS ${EXTRA_LIBS} ${SPARKLE_FRAMEWORK})
    ENDIF()

    SET(platform_specific_sources ${platform_specific_sources} src/application.cpp)
    ## Enforce ARC for this file, since ARC is only supported after the objc
    ## runtime changes in os x 10.10
    SET_SOURCE_FILES_PROPERTIES(src/utils/utils-mac.mm
      PROPERTIES COMPILE_FLAGS -fobjc-arc)

    FIND_LIBRARY(COCOA_LIBRARY Cocoa)
    MARK_AS_ADVANCED (COCOA_LIBRARY)
    FIND_LIBRARY(Sec_LIBRARY Security)
    MARK_AS_ADVANCED (Sec_LIBRARY)
    SET(EXTRA_LIBS ${EXTRA_LIBS} ${COCOA_LIBRARY} ${Sec_LIBRARY})
ENDIF()

IF(APPLE)
    ADD_DEFINITIONS(-DHAVE_FINDER_SYNC_SUPPORT)
    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/finder-sync/finder-sync-host.h)
    SET(platform_specific_sources ${platform_specific_sources}
        src/finder-sync/finder-sync.cpp src/finder-sync/finder-sync-listener.mm
        src/finder-sync/finder-sync-host.cpp)
    SET_SOURCE_FILES_PROPERTIES(src/finder-sync/finder-sync-listener.mm
        PROPERTIES COMPILE_FLAGS -fobjc-arc)
ENDIF()

####################
###### BEGIN: QT configuration
####################
FIND_PROGRAM(qmake_executable NAMES qmake qmake.exe)
EXECUTE_PROCESS(COMMAND
    bash -c "${qmake_executable} --version | grep -iE '^using qt version [0-9.]+' | awk '{print $4}'"
    OUTPUT_VARIABLE DETECTED_QT_VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE)
MESSAGE("Qt version: ${DETECTED_QT_VERSION}")
EXECUTE_PROCESS(COMMAND
    bash -c "qmake --version|grep -iE '^using qt version [0-9]'|awk '{print $4}'|grep -iE '^[0-9]'|awk -F . '{print $1}'"
    OUTPUT_VARIABLE QT_VERSION_MAJOR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
MESSAGE("QT_VERSION_MAJOR: ${QT_VERSION_MAJOR}")

IF(USE_QT_WEBKIT)
    ADD_DEFINITIONS(-DSEAFILE_USE_WEBKIT)
    SET(WEBKIT_NAME "WebKit")
    SET(WEBKIT_WIDGETS_NAME "WebKitWidgets")
ELSE()
    SET(WEBKIT_NAME "WebEngine")
    SET(WEBENGINE_CORE "WebEngineCore")
    SET(WEBKIT_WIDGETS_NAME "WebEngineWidgets")
    SET(SHIB_EXTRA_HEADER "src/shib/shib-helper.h")
ENDIF()

IF(QT_VERSION_MAJOR EQUAL 6)
    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network Core5Compat WebEngineCore WebEngineWidgets)
ELSE()
    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network)
ENDIF()

IF (BUILD_SHIBBOLETH_SUPPORT)
    IF(QT_VERSION_MAJOR EQUAL 6)
        SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_WIDGETS_NAME})
    ELSE()
        SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_NAME} ${WEBKIT_WIDGETS_NAME})
    ENDIF()
    ADD_DEFINITIONS(-DHAVE_SHIBBOLETH_SUPPORT)
ENDIF()

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} "DBus")
ENDIF()

IF(QT_VERSION_MAJOR EQUAL 6)
    FIND_PACKAGE(Qt6 COMPONENTS ${USE_QT_LIBRARIES} REQUIRED)
ELSE()
    FIND_PACKAGE(Qt5 REQUIRED ${USE_QT_LIBRARIES})
ENDIF()
SET(QT_LUPDATE_EXECUTABLE ${Qt5_LUPDATE_EXECUTABLE})
# From QT 6 Changelog
# The Qt binary packages are now configured with C++17 enabled.
IF(QT_VERSION_MAJOR EQUAL 6)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
ELSE()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
ENDIF()

# for OS X, we requires libc++ instead
if (APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
    IF(QT_VERSION_MAJOR EQUAL 6)
        SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++17")
    ELSE()
        SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11")
    ENDIF()
    SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
endif()

ADD_DEFINITIONS(-DQUAZIP_STATIC)

# MOC FILES
SET(moc_headers
  src/seafile-applet.h
  src/account-mgr.h
  src/configurator.h
  src/daemon-mgr.h
  src/auto-login-service.h
  src/repo-service.h
  src/repo-service-helper.h
  src/events-service.h
  src/avatar-service.h
  src/open-local-helper.h
  src/server-status-service.h
  src/account-info-service.h
  src/customization-service.h
  src/message-poller.h
  src/network-mgr.h
  src/settings-mgr.h
  src/traynotificationwidget.h
  src/traynotificationmanager.h
  src/log-uploader.h
  src/api/api-client.h
  src/api/api-request.h
  src/api/requests.h
  src/rpc/rpc-client.h
  src/rpc/rpc-server.h
  src/ui/main-window.h
  src/ui/init-seafile-dialog.h
  src/ui/login-dialog.h
  src/ui/account-settings-dialog.h
  src/ui/check-repo-root-perm-dialog.h
  src/ui/create-repo-dialog.h
  src/ui/repo-detail-dialog.h
  src/ui/settings-dialog.h
  src/ui/download-repo-dialog.h
  src/ui/cloud-view.h
  src/ui/tray-icon.h
  src/ui/about-dialog.h
  src/ui/repo-tree-model.h
  src/ui/repo-tree-view.h
  src/ui/repo-item-delegate.h
  src/ui/clone-tasks-dialog.h
  src/ui/clone-tasks-table-model.h
  src/ui/clone-tasks-table-view.h
  src/ui/server-status-dialog.h
  src/ui/search-tab.h
  src/ui/search-tab-items.h
  src/ui/init-vdrive-dialog.h
  src/ui/uninstall-helper-dialog.h
  src/ui/ssl-confirm-dialog.h
  src/ui/private-share-dialog.h
  src/ui/user-name-completer.h
  src/ui/account-view.h
  src/ui/seafile-tab-widget.h
  src/ui/tab-view.h
  src/ui/loading-view.h
  src/ui/logout-view.h
  src/ui/repos-tab.h
  src/ui/starred-files-tab.h
  src/ui/starred-files-list-view.h
  src/ui/starred-files-list-model.h
  src/ui/starred-file-item-delegate.h
  src/ui/activities-tab.h
  src/ui/events-list-view.h
  src/ui/event-details-dialog.h
  src/ui/event-details-tree.h
  src/ui/set-repo-password-dialog.h
  src/ui/sync-errors-dialog.h
  src/ui/search-bar.h
  src/ui/two-factor-dialog.h
  src/filebrowser/file-browser-manager.h
  src/filebrowser/file-browser-dialog.h
  src/filebrowser/file-browser-requests.h
  src/filebrowser/file-browser-search-tab.h
  src/filebrowser/file-table.h
  src/filebrowser/data-mgr.h
  src/filebrowser/tasks.h
  src/filebrowser/reliable-upload.h
  src/filebrowser/progress-dialog.h
  src/filebrowser/sharedlink-dialog.h
  src/filebrowser/seafilelink-dialog.h
  src/filebrowser/uploadlink-dialog.h
  src/filebrowser/auto-update-mgr.h
  src/filebrowser/transfer-mgr.h
  src/filebrowser/thumbnail-service.h
  third_party/QtAwesome/QtAwesome.h
  third_party/quazip/quazipfile.h
  ${platform_specific_moc_headers}
)

IF (APPLE)
  SET(moc_headers ${moc_headers} src/application.h)
ENDIF()

IF (BUILD_SHIBBOLETH_SUPPORT)
  SET(moc_headers ${moc_headers} src/shib/shib-login-dialog.h ${SHIB_EXTRA_HEADER})
ENDIF()

# UI FILES
SET(ui_files
  ui/about-dialog.ui
  ui/login-dialog.ui
  ui/account-settings-dialog.ui
  ui/create-repo-dialog.ui
  ui/repo-detail-dialog.ui
  ui/settings-dialog.ui
  ui/download-repo-dialog.ui
  ui/init-seafile-dialog.ui
  ui/cloud-view.ui
  ui/clone-tasks-dialog.ui
  ui/server-status-dialog.ui
  ui/init-vdrive-dialog.ui
  ui/uninstall-helper-dialog.ui
  ui/ssl-confirm-dialog.ui
  ui/private-share-dialog.ui
  ui/account-view.ui
  ui/two-factor-dialog.ui
  ui/set-repo-password-dialog.ui
  ${platform_specific_ui_files}
)

# RESOURCES
SET(qrc_files
  seafile-client.qrc
  third_party/QtAwesome/QtAwesome.qrc
)

IF(QT_VERSION_MAJOR EQUAL 6)
    QT6_WRAP_UI(ui_output ${ui_files})
ELSE()
    QT5_WRAP_UI(ui_output ${ui_files})
ENDIF()

IF(QT_VERSION_MAJOR EQUAL 6)
    QT6_WRAP_UI(ui_output ${ui_files})
ELSE()
    QT5_WRAP_UI(ui_output ${ui_files})
ENDIF()

# meta object compliation(moc)
IF(QT_VERSION_MAJOR EQUAL 6)
    QT6_WRAP_CPP(moc_output ${moc_headers})
ELSE()
    QT5_WRAP_CPP(moc_output ${moc_headers})
ENDIF()

# resources files
IF(QT_VERSION_MAJOR EQUAL 6)
    QT6_ADD_RESOURCES(resources_ouput ${qrc_files})
ELSE()
    QT5_ADD_RESOURCES(resources_ouput ${qrc_files})
ENDIF()

# MESSAGE("moc output: ${moc_output}")
# MESSAGE("ui output: ${ui_output}")

####################
###### END: QT configuration
####################

####################
###### BEGIN: pthread support is required explicitly on linux
####################

IF(NOT APPLE)
  SET(CMAKE_THREAD_PREFER_PTHREAD ON)
  INCLUDE(FindThreads)
  LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})

=== debian/changelog ===
seafile-client (9.0.3+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.3+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 30 Jun 2023 12:37:36 +0200

=== debian/control ===
Source: seafile-client
Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
Section: net
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 help2man,
 intltool,
 libcurl4-openssl-dev,
 libevent-dev,
 libglib2.0-dev,
 libjansson-dev,
 libquazip5-dev,
 libseafile-dev (>= 9),
 libsearpc-dev (>= 3.2.0-8+really3.2+git20220425.54145b0),
 libsqlite3-dev,
 libssl-dev,
 libtool,
 qtbase5-dev,
 qtchooser,
 qttools5-dev,
 qttools5-dev-tools,
 libqt5webkit5-dev,
 uuid-dev,
Standards-Version: 4.6.2
Homepage: https://seafile.com
Vcs-Browser: https://salsa.debian.org/debian/seafile-client
Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

Package: seafile-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libsearpc1 (>= 3.2.0-8+really3.2+git20220425.54145b0),
 libseafile0 (>= ${source-Upstream-Version}),
 seafile-daemon (>= ${source-Upstream-Version}),
Suggests: seafile-cli (>= ${source-Upstream-Version})
Description: Seafile Desktop Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the graphical Desktop Client for Seafile.

## seafile-client 9.0.4%2Bds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 3)
+SET(SEAFILE_CLIENT_VERSION_PATCH 4)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT=5

CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./

CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_gencontrol:
	# Set source-Upstream-Version to the *actual* upstream version without repack suffix
	dh_gencontrol -- -Vsource-Upstream-Version=$(DEB_VERSION_UPSTREAM:%+ds1=%) \
	  -Vlib:Depends="$(shell dpkg-query -W -f '$${Depends}' libsearpc-dev \
			| sed -E 's/.*(libsearpc[[:alnum:].-]+).*/\1/') (>= 3.2.0-8+really3.2+git20220425.54145b0), \
			$(shell dpkg-query -W -f '$${Depends}' libseafile-dev \
			| sed -E 's/.*(libseafile[[:alnum:].-]+).*/\1/') (>= $(DEB_VERSION_UPSTREAM:%+ds1=%))"
override_dh_install:
	QT_QPA_PLATFORM=minimal help2man -N \
		-n "Seafile Desktop Client" -i debian/seafile-applet.1.in --version-string=$(DEB_VERSION_UPSTREAM) \
		$(CURDIR)/debian/seafile-gui/usr/bin/seafile-applet > $(CURDIR)/debian/seafile-applet.1
	dh_install

## seafile-client 9.0.4+ds1

=== debian/changelog ===
seafile-client (9.0.4+ds1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:58:52 +1100

seafile-client (9.0.4+ds1-1ubuntu1) noble; urgency=medium

  * Don't hard-code dependencies on shared libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 17:57:00 +0100

seafile-client (9.0.4+ds1-1build3) noble; urgency=high

  * No change rebuild against libsearpc1t64, libseafile0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:54:20 +0100

seafile-client (9.0.4+ds1-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:04:37 +0000

seafile-client (9.0.4+ds1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:56:08 +0000

seafile-client (9.0.4+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.4+ds1
  * d/patches: Add Forwarded
  * Add d/clean file (Closes: #1045584)
  * Update Build-Deps
  * Add patch for "Title bar on Wayland is not working as expected"
    (Closes: #1062085)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 31 Jan 2024 11:37:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: seafile-client
-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional
@@ -13,7 +14,7 @@
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev (>= 9),
+ libseafile-dev (>= 9.0.4),
  libsearpc-dev (>= 3.2.0-8+really3.2+git20220425.54145b0),
  libsqlite3-dev,
  libssl-dev,
@@ -32,8 +33,7 @@
 Package: seafile-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libsearpc1 (>= 3.2.0-8+really3.2+git20220425.54145b0),
- libseafile0 (>= ${source-Upstream-Version}),
+ ${lib:Depends},
  seafile-daemon (>= ${source-Upstream-Version}),
 Suggests: seafile-cli (>= ${source-Upstream-Version})
 Description: Seafile Desktop Client

## seafile-client 9.0.7+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 4)
+SET(SEAFILE_CLIENT_VERSION_PATCH 7)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
@@ -20,8 +20,8 @@
   SET(LINUX TRUE)
 ENDIF()
 
-IF (APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
-  SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.14")
+IF (APPLE)
+  SET(CMAKE_OSX_DEPLOYMENT_TARGET "11")
 ENDIF()
 
 FIND_PROGRAM(git_executable NAMES git git.exe git.cmd)
@@ -370,3 +370,6 @@
   SET(CMAKE_THREAD_PREFER_PTHREAD ON)
   INCLUDE(FindThreads)
   LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})
+ENDIF(NOT APPLE)
+
+####################

=== debian/changelog ===
seafile-client (9.0.7+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.7+ds1
    - Checkout files directly without writing to cache folder first
    - Use user name when creating conflict files
    - Display user name in shared library list
    - Fix "Copy move is already in progress" error in cloud file browser
    - Support server addresses with special characters
    - Fix help links
    - [mac] Fix crash on first run for Apple Silicon CPUs
    - [linux] Use AppImage format for release
    - [linux] Disable deletion confirmation for CLI client

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 23 Jul 2024 10:08:43 +0200

seafile-client (9.0.6+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.6+ds1
    - Fix sync error icon in main window
    - Handle filename case conflicts better when downloading (don't download file with case conflicts)
    - Improve conflict handling in cloud file browser
    - Add sort library feature in main window
    - Support username and password when use SOCKS5 proxy
    - Requires at least version 2 encryption protocol when creating an encrypted library (Thanks to Jonas Hofmann and Kien Tuong Truong from ETH Zurich)
    - Change local file permission when recieving unlock event from notification server
    - [mac] Update system tray icon
    - [linux] ensure only one seaf-daemon running for each account
    - [linux] Support reading parameters from configuration file
  * Bump libseafile-dev dependency

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 27 May 2024 11:28:32 +0200

seafile-client (9.0.5+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.5+ds1
  * Refresh patches
  * Update CI config
  * Fix Dependencies (Closes: #1069336)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 22 Apr 2024 13:42:46 +0200

## seafile-client 9.0.11+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 7)
+SET(SEAFILE_CLIENT_VERSION_PATCH 11)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

=== debian/changelog ===
seafile-client (9.0.11+ds1-2) unstable; urgency=medium

  * Build with QtWebEngine instead of obsolete QtWebKit (Closes: #1093523)
  * d/control: Bump Standards-Version

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 28 Jan 2025 12:26:08 +0100

seafile-client (9.0.11+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.11+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 14 Nov 2024 14:22:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: seafile-client
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
+Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional
@@ -14,7 +13,7 @@
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev (>= 9.0.4),
+ libseafile-dev (>= 9.0.6),
  libsearpc-dev (>= 3.2.0-8+really3.2+git20220425.54145b0),
  libsqlite3-dev,
  libssl-dev,
@@ -23,9 +22,9 @@
  qtchooser,
  qttools5-dev,
  qttools5-dev-tools,
- libqt5webkit5-dev,
+ qtwebengine5-dev,
  uuid-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git
@@ -33,7 +32,6 @@
 Package: seafile-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- ${lib:Depends},
  seafile-daemon (>= ${source-Upstream-Version}),
 Suggests: seafile-cli (>= ${source-Upstream-Version})
 Description: Seafile Desktop Client

## seafile-client 9.0.12%2Bds1

=== debian/changelog ===
seafile-client (9.0.12+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.12+ds1
  * wrap-and-sort
  * Refresh patches

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 13 Feb 2025 21:27:58 +0100

## seafile-client 9.0.12+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 11)
+SET(SEAFILE_CLIENT_VERSION_PATCH 12)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: seafile-client
 Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
-Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
+Uploaders:
+ Christoph Martin <martin@uni-mainz.de>,
+ Moritz Schlarb <schlarbm@uni-mainz.de>,
 Section: net
 Priority: optional
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
  help2man,
  intltool,
  libcurl4-openssl-dev,
@@ -31,9 +33,11 @@
 
 Package: seafile-gui
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends:
  seafile-daemon (>= ${source-Upstream-Version}),
-Suggests: seafile-cli (>= ${source-Upstream-Version})
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests: seafile-cli (>= ${source-Upstream-Version}),
 Description: Seafile Desktop Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.

## seafile-client 9.0.13+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 12)
+SET(SEAFILE_CLIENT_VERSION_PATCH 13)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

=== debian/changelog ===
seafile-client (9.0.13+ds1-1) unstable; urgency=medium

  * Update d/control and d/copyright
  * New upstream version 9.0.13+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 22 Apr 2025 12:15:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,6 @@
 
 CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
 
-CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
-
 %:
 	dh $@ --builddirectory=build
 
@@ -28,11 +26,8 @@
 
 override_dh_gencontrol:
 	# Set source-Upstream-Version to the *actual* upstream version without repack suffix
-	dh_gencontrol -- -Vsource-Upstream-Version=$(DEB_VERSION_UPSTREAM:%+ds1=%) \
-	  -Vlib:Depends="$(shell dpkg-query -W -f '$${Depends}' libsearpc-dev \
-			| sed -E 's/.*(libsearpc[[:alnum:].-]+).*/\1/') (>= 3.2.0-8+really3.2+git20220425.54145b0), \
-			$(shell dpkg-query -W -f '$${Depends}' libseafile-dev \
-			| sed -E 's/.*(libseafile[[:alnum:].-]+).*/\1/') (>= $(DEB_VERSION_UPSTREAM:%+ds1=%))"
+	dh_gencontrol -- -Vsource-Upstream-Version=$(DEB_VERSION_UPSTREAM:%+ds1=%)
+
 override_dh_install:
 	QT_QPA_PLATFORM=minimal help2man -N \
 		-n "Seafile Desktop Client" -i debian/seafile-applet.1.in --version-string=$(DEB_VERSION_UPSTREAM) \

## seafile-client 9.0.15%2Bds1

=== debian/changelog ===
seafile-client (9.0.15+ds1-2) unstable; urgency=medium

  * d/rules: CMake 4.0 compatibility (Closes: #1113492)

 -- Moritz Schlarb <moschlar@debian.org>  Mon, 06 Oct 2025 11:46:37 +0200

seafile-client (9.0.15+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.15+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 12 Aug 2025 09:23:54 +0200

## seafile-client 9.0.15+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 13)
+SET(SEAFILE_CLIENT_VERSION_PATCH 15)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
@@ -157,7 +157,7 @@
 ENDIF()
 
 IF(QT_VERSION_MAJOR EQUAL 6)
-    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network Core5Compat WebEngineCore WebEngineWidgets)
+    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network Core5Compat)
 ELSE()
     SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network)
 ENDIF()

=== fsplugin/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)

PROJECT(seafile-fsplugin)
SET(PROJECT_VERSION "1.0.0")

IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  SET(CMAKE_BUILD_TYPE Debug)
ENDIF()

SET(CODESIGN_CERTIFICATE "-" CACHE STRING "the certificate to sign code")

MESSAGE(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

IF (NOT APPLE)
    MESSAGE(FATAL_ERROR "Support only on OS X")
ENDIF()

IF (NOT CMAKE_GENERATOR STREQUAL Xcode)
    MESSAGE(FATAL_ERROR "Support only for Xcode generator")
ENDIF()

## Build with warnings
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter -Woverloaded-virtual")

## Find the dependencies

FIND_LIBRARY(AppKit_LIBRARY AppKit)
FIND_LIBRARY(FinderSync_LIBRARY FinderSync)
FIND_LIBRARY(PlugInKit_LIBRARY PlugInKit
  PATHS ${CMAKE_OSX_SYSROOT}/System/Library/PrivateFrameworks/)

if (NOT PlugInKit_LIBRARY)
  MESSAGE(FATAL_ERROR "PlugInKit not found")
endif()

ADD_DEFINITIONS(-fapplication-extension -fmodules)
SET(CMAKE_EXE_LINKER_FLAGS "-fapplication-extension -e _NSExtensionMain -fobjc-arc -fobjc-link-runtime ${CMAKE_EXE_LINKER_FLAGS}")

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
SET(FSPLUGIN_SRC
  ../src/utils/stl.cpp
  ../src/utils/stl.h
  FinderSync.mm
  FinderSyncClient.mm
  )

## update en.lproj
ADD_CUSTOM_TARGET(update-lproj
  COMMAND genstrings -o en.lproj ${FSPLUGIN_SRC}
  DEPENDS ${FSPLUGIN_SRC})

ADD_EXECUTABLE(seafile-finder-sync MACOSX_BUNDLE
  ${FSPLUGIN_SRC}
)

SET_TARGET_PROPERTIES(seafile-finder-sync PROPERTIES
  OUTPUT_NAME "Seafile FinderSync"
  MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist
  XCODE_ATTRIBUTE_MACOSX_DEPLOYMENT_TARGET "10.14"
  XCODE_ATTRIBUTE_LD_RUNPATH_SEARCH_PATHS "@executable_path/../Frameworks @executable_path/../../../../Frameworks"
  XCODE_ATTRIBUTE_CLANG_ENABLE_OBJC_ARC "YES"
  XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11"
  XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++"
  XCODE_ATTRIBUTE_DEVELOPMENT_LANGUAGE "English"
  XCODE_ATTRIBUTE_LOCALIZED_RESOURCES_FOLDER_PATH "Seafile FinderSync.appex/English.lproj"
  XCODE_ATTRIBUTE_INFOSTRINGS_PATH "Seafile FinderSync.appex/English.lproj/InfoPlist.strings"
  XCODE_ATTRIBUTE_UNLOCALIZED_RESOURCES_FOLDER_PATH "Seafile FinderSync.appex"
  )

TARGET_LINK_LIBRARIES(seafile-finder-sync
  ${FinderSync_LIBRARY}
  ${PlugInKit_LIBRARY}
  ${AppKit_LIBRARY}
)

### rename to Seafile Client.appex and copy related resource files

SET(BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}/\${CONFIGURATION}/Seafile FinderSync.app")
SET(TARGET_DIR "${CMAKE_CURRENT_BINARY_DIR}/Seafile FinderSync.appex")

ADD_CUSTOM_TARGET(clean_old_target
  COMMAND ${CMAKE_COMMAND} -E remove -f ${TARGET_DIR}
  )
ADD_CUSTOM_TARGET(copy_fsplugin
  COMMAND ${CMAKE_COMMAND} -E copy_directory ${BUILD_DIR} ${TARGET_DIR}
  DEPENDS seafile-finder-sync clean_old_target
  )

ADD_CUSTOM_TARGET(create_resource_dir
  COMMAND ${CMAKE_COMMAND} -E make_directory ${TARGET_DIR}/Contents/Resources
  DEPENDS copy_fsplugin
  )
ADD_CUSTOM_TARGET(copy_resources_icns
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/../seafile.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-done.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-error.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-syncing.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-ignored.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-locked.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-locked-by-me.icns ${TARGET_DIR}/Contents/Resources/
  DEPENDS create_resource_dir
  )
ADD_CUSTOM_TARGET(copy_resources_lproj
  DEPENDS create_resource_dir)

SET(FSPLUGIN_LANGS)
file(GLOB FSPLUGIN_LPROJS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.lproj")

FOREACH(LPROJ ${FSPLUGIN_LPROJS})
  STRING(REGEX REPLACE "^.*/([a-z]+)\\.lproj/.*$" "\\1" _LANG ${LPROJ})
  LIST(FIND FSPLUGIN_LANGS "${_LANG}" _INDEX)
  IF(_INDEX EQUAL -1)
    LIST(APPEND FSPLUGIN_LANGS ${_LANG})
    ADD_CUSTOM_TARGET(copy_resources_lproj_${_LANG}
    COMMAND cp -r ${_LANG} ${TARGET_DIR}/Contents/Resources/
    DEPENDS create_resource_dir)
    ADD_DEPENDENCIES(copy_resources_lproj copy_resources_lproj_${_LANG})
  ENDIF(_INDEX EQUAL -1)
ENDFOREACH()

### codesign

FIND_PROGRAM(CODESIGN codesign)

ADD_CUSTOM_TARGET(codesign ALL
  COMMAND ${CODESIGN} --force --sign ${CODESIGN_CERTIFICATE} --entitlements ${CMAKE_CURRENT_SOURCE_DIR}/seafile-fsplugin.entitlements ${TARGET_DIR}
  DEPENDS copy_resources_icns copy_resources_lproj
  )

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders:
  Christoph Martin <martin@uni-mainz.de>,
- Moritz Schlarb <schlarbm@uni-mainz.de>,
+ Moritz Schlarb <moschlar@debian.org>,
 Section: net
 Priority: optional
 Build-Depends:
@@ -26,7 +26,7 @@
  qttools5-dev-tools,
  qtwebengine5-dev,
  uuid-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,11 @@
 
 export QT_SELECT=5
 
-CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
+CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release \
+              -DBUILD_TESTING=ON \
+              -DBUILD_SHIBBOLETH_SUPPORT=ON \
+              -DAUTOMOC_MOC_OPTIONS=-p./ \
+              -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 %:
 	dh $@ --builddirectory=build

=== debian/watch ===
version=4

opts="dversionmangle=s/\+ds\d*$//, repacksuffix=+ds1, \
  filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/haiwen/seafile-client/tags .*/v?(\d[\d.]*)\.tar\.gz

## seafile-client 9.0.16+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 15)
+SET(SEAFILE_CLIENT_VERSION_PATCH 16)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

=== debian/changelog ===
seafile-client (9.0.16+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.16+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Fri, 09 Jan 2026 10:35:17 +0100
